Name:           guile-xapian
Version:        0.1.0
Release:        1%{?dist}
Summary:        Guile bindings for Xapian

License:        GPLv2
URL:            https://git.systemreboot.net/guile-xapian/about/
Source0:        https://git.systemreboot.net/guile-xapian/snapshot/guile-xapian-%{version}.tar.xz

BuildRequires:  /usr/bin/autoreconf /usr/bin/aclocal
BuildRequires:  libtool
# for AX_PKG_SWIG
BuildRequires:  autoconf-archive
BuildRequires:  zlib-devel
BuildRequires:  guile22-devel
BuildRequires:  /usr/bin/swig /usr/bin/g++
BuildRequires:  xapian-core-devel
Requires:       guile22

%description
guile-xapian provides Guile bindings for Xapian, a search engine
library. Xapian is a highly adaptable toolkit which allows developers
to easily add advanced indexing and search facilities to their own
applications. It has built-in support for several families of
weighting models and also supports a rich set of boolean query
operators.


%prep
%autosetup


%build
./bootstrap.sh
%configure --disable-static \
           GUILE=/usr/bin/guile2.2 \
           GUILD=/usr/bin/guild2.2 \
           GUILE_CONFIG=/usr/bin/guile-config2.2
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%files
%license COPYING
%doc README.org
%{_libdir}/libguilexapian.so
%{_libdir}/libguilexapian.so.0
%{_libdir}/libguilexapian.so.0.0.0
%{_libdir}/guile/2.2/site-ccache/xapian
%{_datadir}/guile/site/2.2/xapian
